# Class Parameter

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent
org.a11y.brlapi.Parameter

Direct Known Subclasses:
  `GlobalParameter, LocalParameter`

public abstract class Parameter extends ParameterComponent

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Parameter.BooleanSettable`
`static interface`
`Parameter.ByteSettable`
`static interface`
`Parameter.IntSettable`
`static interface`
`Parameter.LongSettable`
`static interface`
`Parameter.Settable`
`static interface`
`Parameter.ShortSettable`
`static interface`
`Parameter.StringSettable`
`static final class`
`Parameter.WatcherHandle`

## Field Summary

### Fields inherited from class ParameterComponent

`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Parameter(ConnectionBase connection)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get()`
`Object`
`get(long subparam)`
`String`
`getLabel()`
`String`
`getName()`
`abstract int`
`getParameter()`
`protected final String`
`getParseDescription()`
`protected final Object`
`getValue()`
`protected final Object`
`getValue(long subparam)`
`abstract boolean`
`isGlobal()`
`boolean`
`isHidable()`
`final boolean`
`isSettable()`
`void`
`set(long subparam, String value)`
`void`
`set(String value)`
`protected final void`
`setValue(long subparam, Object value)`
`String`
`toString()`
`String`
`toString(long subparam)`
`final Parameter.WatcherHandle`
`watch(long subparam, ParameterWatcher watcher)`
`final Parameter.WatcherHandle`
`watch(ParameterWatcher watcher)`

### Methods inherited from class ParameterComponent

`asBitMask, asBoolean, asBooleanArray, asByte, asByteArray, asDisplaySize, asDots, asDots, asInt, asIntArray, asLong, asLongArray, asRowCells, asShort, asShortArray, asString, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Parameter

protected Parameter(ConnectionBase connection)

## Method Details

### getLabel

public String getLabel()

### getName

public String getName()

### getParameter

public abstract int getParameter()

### isGlobal

public abstract boolean isGlobal()

### isHidable

public boolean isHidable()

### getValue

protected final Object getValue(long subparam)

### getValue

protected final Object getValue()

### setValue

protected final void setValue(long subparam, Object value)

### get

public Object get(long subparam)

### toString

public String toString(long subparam)

### get

public Object get()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isSettable

public final boolean isSettable()

### getParseDescription

protected final String getParseDescription()

### set

public void set(long subparam, String value) throws OperandException

Throws:
  `OperandException`

### set

public void set(String value) throws OperandException

Throws:
  `OperandException`

### watch

public final Parameter.WatcherHandle watch(long subparam, ParameterWatcher watcher)

### watch

public final Parameter.WatcherHandle watch(ParameterWatcher watcher)